Skip to content

Chatters — API endpoints

Base domain

  • https://chatters.streamercatalyst.com

Endpoints

PathMethodAuthDescription
/api/commandsGET/POST/PUT/DELETESession cookieCustom command CRUD.
/api/commands/importPOSTSession cookieBulk command import.
/api/auto-chatsGET/POST/PUT/DELETESession cookieScheduled auto-chat messages.
/api/regularsGET/POST/DELETESession cookieRegulars list management.
/api/quotesGET/POST/PUT/DELETESession cookieQuote database.
/api/giveawaysGET/POST/PUT/DELETESession cookieChatters giveaways.
/api/utility-configGET/PUTSession cookieBuilt-in command configuration and aliases.
/c/:login/commandsGETPublicPublic command list page for a channel.
/api/randomGETAPI keyRandom chatter picker (?apikey=, ?filter=, ?n=).
/api/fmkGETAPI keyF/M/K picker (?apikey=, ?filter=).
/api/chattersGETAPI keyChatter list (?apikey=, ?filter=, ?format=json).
/internal/eventsubPOSTService binding (internal)EventSub fan-out receiver (internal).
/internal/billing/downgradePOSTService binding (internal)Tier-downgrade handler (internal).

Auth model

  • Session cookie endpoints require an active StreamerCatalyst session (set at login via the platform Worker).
  • Service binding endpoints are reachable only via Cloudflare service bindings — not from the public internet.
  • Public endpoints require no authentication.
  • API key endpoints accept a 64-hex-char API key via the ?apikey= query parameter.